> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getcargo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Detach custom domain

> Detach a custom domain from an app or worker



## OpenAPI

````yaml https://api.getcargo.io/openapi.json delete /hosting/custom-domains/{uuid}
openapi: 3.1.0
info:
  title: Cargo API
  version: 1.0.0
  description: Cargo Platform API v1
servers:
  - url: https://api.getcargo.io/v1
    description: Cargo API
security:
  - bearerAuth: []
paths:
  /hosting/custom-domains/{uuid}:
    delete:
      tags:
        - Hosting - Custom Domains
      summary: Detach custom domain
      description: Detach a custom domain from an app or worker
      parameters:
        - in: path
          name: uuid
          schema:
            type: string
            format: uuid
            pattern: >-
              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
            title: UUID
            description: Custom domain identifier to detach.
          required: true
          description: Custom domain identifier to detach.
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  outcome:
                    type: string
                    enum:
                      - detached
                      - deactivating
                    title: Outcome
                    description: >-
                      `detached` once teardown completed; `deactivating` when
                      CloudFront is still propagating and the customer should
                      retry.
                required:
                  - outcome
                additionalProperties: false
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '500':
          description: Internal server error
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````